// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: SentenceReasoner.java,v 1.2 2003/03/06 00:40:43 moltmans Exp $
// SentenceReasoner.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Fri Feb  4 17:46:44 2000> 
// Time-stamp: <2000-02-08 21:48:34 moltmans> 
package rec.annotate.reasoners;

import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.annotate.widgets.*;


public class SentenceReasoner extends Reasoner 
{
  private static Vector m_Strong = new Vector();
  private static Vector m_Weak = new Vector();

  static 
  {
    m_Strong.addElement( "rec.annotate.widgets.WSentence" );
    m_Weak.addElement( "rec.sys.WUtterance" );
  }

  public Iterator getStrongerTypes()
  {
    return m_Strong.iterator();
  }

  public Iterator getWeakerTypes()
  {
    return m_Weak.iterator();
  }

}
